Index: trunk/doc/Flair/classflair_1_1sensor_1_1_simu_laser.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_simu_laser.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_simu_laser.js	(revision 50)
@@ -1,6 +1,6 @@
 var classflair_1_1sensor_1_1_simu_laser =
 [
-    [ "SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html#a6270e35dc27177255e98f80e8323e752", null ],
-    [ "SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html#afbf6088fdfe1242d34255ef0af0b701a", null ],
+    [ "SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html#ac80c781316ba67ab43371095cc96b888", null ],
+    [ "SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html#a22315194992008f2c5b86dd50f63eaf5", null ],
     [ "~SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html#a9c2ded82ab43b0b175e51cda0ed879d5", null ],
     [ "shmem", "classflair_1_1sensor_1_1_simu_laser.html#aa9dc0c4f54d34746206067da31794b80", null ]
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_simu_laser_g_l.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_simu_laser_g_l.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_simu_laser_g_l.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_simu_laser_g_l =
 [
-    [ "SimuLaserGL", "classflair_1_1sensor_1_1_simu_laser_g_l.html#a25a9e5de776b20ca084658723627722b", null ],
+    [ "SimuLaserGL", "classflair_1_1sensor_1_1_simu_laser_g_l.html#a43a4718c285dc5e84bf852ff62bfe6eb", null ],
     [ "~SimuLaserGL", "classflair_1_1sensor_1_1_simu_laser_g_l.html#a36d24d68e1412586711cb0572d9b1fb8", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_simu_us.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_simu_us.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_simu_us.js	(revision 50)
@@ -1,6 +1,6 @@
 var classflair_1_1sensor_1_1_simu_us =
 [
-    [ "SimuUs", "classflair_1_1sensor_1_1_simu_us.html#a99d29a5be11149d02be1548e401f483c", null ],
-    [ "SimuUs", "classflair_1_1sensor_1_1_simu_us.html#ac9d4c834d90e8695e6881900dd860477", null ],
+    [ "SimuUs", "classflair_1_1sensor_1_1_simu_us.html#a58061ed933ca6d95f563886a8b9ff4d9", null ],
+    [ "SimuUs", "classflair_1_1sensor_1_1_simu_us.html#a6809a978e76619c5bfff3aca092e49ed", null ],
     [ "~SimuUs", "classflair_1_1sensor_1_1_simu_us.html#a52c1587525fe53be58f7d1681d8f3de4", null ],
     [ "shmem", "classflair_1_1sensor_1_1_simu_us.html#af86622810d283ac7710e70eddc30e3f1", null ]
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_simu_us_g_l.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_simu_us_g_l.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_simu_us_g_l.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_simu_us_g_l =
 [
-    [ "SimuUsGL", "classflair_1_1sensor_1_1_simu_us_g_l.html#ab1f39be5a9c6fb443293b5e91aa1c8ee", null ],
+    [ "SimuUsGL", "classflair_1_1sensor_1_1_simu_us_g_l.html#acbe259c925605286890fac0c8688d11a", null ],
     [ "~SimuUsGL", "classflair_1_1sensor_1_1_simu_us_g_l.html#a30bdd1e6e58ef56d262602cca5700304", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_srf08.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_srf08.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_srf08.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_srf08 =
 [
-    [ "Srf08", "classflair_1_1sensor_1_1_srf08.html#ad4a67e82a8c599941b38d1e3e9861c62", null ],
+    [ "Srf08", "classflair_1_1sensor_1_1_srf08.html#a6b4c56ab2d67af7bf65dd632d9b26746", null ],
     [ "~Srf08", "classflair_1_1sensor_1_1_srf08.html#a98bf852157fdae881576d0b7f25da6b0", null ],
     [ "SetRange", "classflair_1_1sensor_1_1_srf08.html#ae760771d1ec4ede8ec0a901c5e178b32", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_target_controller.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_target_controller.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_target_controller.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_target_controller =
 [
-    [ "TargetController", "classflair_1_1sensor_1_1_target_controller.html#a7e31696d48fe6b2fe7bdf44fad3b4d48", null ],
+    [ "TargetController", "classflair_1_1sensor_1_1_target_controller.html#aea11e29bf952913cc648dfc59dac215f", null ],
     [ "~TargetController", "classflair_1_1sensor_1_1_target_controller.html#af7f9a61889cd8ebe05074e977b15d68f", null ],
     [ "IsConnected", "classflair_1_1sensor_1_1_target_controller.html#a2497d1f4174ce152f3b399f8a2c389fc", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_target_eth_controller.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_target_eth_controller.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_target_eth_controller.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_target_eth_controller =
 [
-    [ "TargetEthController", "classflair_1_1sensor_1_1_target_eth_controller.html#a01568cea741e98ebcab98e9fb1bf9c8c", null ],
+    [ "TargetEthController", "classflair_1_1sensor_1_1_target_eth_controller.html#a925174c294908c81ff3395f75fc23cd5", null ],
     [ "~TargetEthController", "classflair_1_1sensor_1_1_target_eth_controller.html#a3b0db862fd1072482a9d27f90c1dee86", null ],
     [ "IsConnected", "classflair_1_1sensor_1_1_target_eth_controller.html#a99f6373bd2df49b005c355060929856e", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_us_range_finder.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_us_range_finder.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_us_range_finder.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_us_range_finder =
 [
-    [ "UsRangeFinder", "classflair_1_1sensor_1_1_us_range_finder.html#a92739675dbf2aa7337b23420afb731dd", null ],
+    [ "UsRangeFinder", "classflair_1_1sensor_1_1_us_range_finder.html#abbf91741851723e0d2d56116500a1363", null ],
     [ "UsRangeFinder", "classflair_1_1sensor_1_1_us_range_finder.html#ab8b56ed2839e584a1e88a00cedf81051", null ],
     [ "~UsRangeFinder", "classflair_1_1sensor_1_1_us_range_finder.html#a6a496106dacf11f69eeeaecb47920181", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_v4_l_camera.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_v4_l_camera.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_v4_l_camera.js	(revision 50)
@@ -1,6 +1,7 @@
 var classflair_1_1sensor_1_1_v4_l_camera =
 [
-    [ "V4LCamera", "classflair_1_1sensor_1_1_v4_l_camera.html#afc966820fa4086f124383bf0bdfafc5f", null ],
+    [ "V4LCamera", "classflair_1_1sensor_1_1_v4_l_camera.html#ace224e60461a7c78ff7a7f16e43eaad3", null ],
     [ "~V4LCamera", "classflair_1_1sensor_1_1_v4_l_camera.html#a17dd62aecb525f68c0cfb4ae6e4d372a", null ],
+    [ "HasProblems", "classflair_1_1sensor_1_1_v4_l_camera.html#af87fe86ad1f641d308492b8ba7d98f94", null ],
     [ "SetGain", "classflair_1_1sensor_1_1_v4_l_camera.html#a29862113a1cf3095a15e8f86e28c4a9e", null ],
     [ "SetAutoGain", "classflair_1_1sensor_1_1_v4_l_camera.html#a6bd963d24efcd05a905cc801af8b91ae", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_client.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_client.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_client.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1sensor_1_1_vrpn_client =
 [
-    [ "VrpnClient", "classflair_1_1sensor_1_1_vrpn_client.html#a370c45f429eda66c39c1cec13f2dcde3", null ],
+    [ "VrpnClient", "classflair_1_1sensor_1_1_vrpn_client.html#a7f7a90a4a58b7e821f16a11c4767c535", null ],
     [ "VrpnClient", "classflair_1_1sensor_1_1_vrpn_client.html#a1d5462b08d2aff8ddc05b564158f4fff", null ],
     [ "~VrpnClient", "classflair_1_1sensor_1_1_vrpn_client.html#adf2374e9d69ff17fc490ba06e6488a50", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_object.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_object.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_object.js	(revision 50)
@@ -7,7 +7,6 @@
     [ "GetLastPacketTime", "classflair_1_1sensor_1_1_vrpn_object.html#aa192e539d45cfebdcb258109f9136789", null ],
     [ "IsTracked", "classflair_1_1sensor_1_1_vrpn_object.html#a516210bba13f3df87da71dac8a494c20", null ],
-    [ "GetEuler", "classflair_1_1sensor_1_1_vrpn_object.html#a32e2c982fb63444678b672fce4762738", null ],
     [ "GetQuaternion", "classflair_1_1sensor_1_1_vrpn_object.html#a2942cbbb898ba9d0d795b97ad3b9825f", null ],
-    [ "GetPosition", "classflair_1_1sensor_1_1_vrpn_object.html#a2c4b259c51b98fa92f8f39141ac9f8b2", null ],
+    [ "GetPosition", "classflair_1_1sensor_1_1_vrpn_object.html#a64be708bbe70e22db77a465488e23c7c", null ],
     [ "Output", "classflair_1_1sensor_1_1_vrpn_object.html#acac80ce94c7081f6e51f8d81d158e164", null ],
     [ "State", "classflair_1_1sensor_1_1_vrpn_object.html#acb5162ae1ed3ea0b646ab12ac6879279", null ],
Index: trunk/doc/Flair/classflair_1_1simulator_1_1_castle.js
===================================================================
--- trunk/doc/Flair/classflair_1_1simulator_1_1_castle.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1simulator_1_1_castle.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1simulator_1_1_castle =
 [
-    [ "Castle", "classflair_1_1simulator_1_1_castle.html#a8092c85e60b3442f7a1df500549d23c0", null ],
+    [ "Castle", "classflair_1_1simulator_1_1_castle.html#a698881cafd389f8fba1a85ee268fcaef", null ],
     [ "~Castle", "classflair_1_1simulator_1_1_castle.html#a80e5d2cdcdd3dd6f594a8ca4ca27945e", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1simulator_1_1_fixed_camera.js
===================================================================
--- trunk/doc/Flair/classflair_1_1simulator_1_1_fixed_camera.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1simulator_1_1_fixed_camera.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1simulator_1_1_fixed_camera =
 [
-    [ "FixedCamera", "classflair_1_1simulator_1_1_fixed_camera.html#ae3c185becc3aaea0b3cb31d9bd6a5238", null ],
+    [ "FixedCamera", "classflair_1_1simulator_1_1_fixed_camera.html#a63594bc69a7448719aaf058dd135ba16", null ],
     [ "~FixedCamera", "classflair_1_1simulator_1_1_fixed_camera.html#a948a61047e7affb9cdd5e528ec4fea29", null ],
     [ "animateNode", "classflair_1_1simulator_1_1_fixed_camera.html#a179bfa24ee9a02abbd733adecc776142", null ]
Index: trunk/doc/Flair/classflair_1_1simulator_1_1_gui.js
===================================================================
--- trunk/doc/Flair/classflair_1_1simulator_1_1_gui.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1simulator_1_1_gui.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1simulator_1_1_gui =
 [
-    [ "Gui", "classflair_1_1simulator_1_1_gui.html#a468a8cdefdff6194d0b97ffbc156a757", null ],
+    [ "Gui", "classflair_1_1simulator_1_1_gui.html#ad74e8d8f2a12aa1a59df146c32135547", null ],
     [ "~Gui", "classflair_1_1simulator_1_1_gui.html#a78dcc2ba9a1d8b3211964ad12a4476a0", null ],
     [ "getRotation", "classflair_1_1simulator_1_1_gui.html#aa5247fc955a05efe392a76aad21a73b1", null ],
Index: trunk/doc/Flair/classflair_1_1simulator_1_1_man.js
===================================================================
--- trunk/doc/Flair/classflair_1_1simulator_1_1_man.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1simulator_1_1_man.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1simulator_1_1_man =
 [
-    [ "Man", "classflair_1_1simulator_1_1_man.html#ad27a0e649c6e87e424f98908d09ab126", null ],
+    [ "Man", "classflair_1_1simulator_1_1_man.html#a495c0eb70a10b83419dba60ce1605c83", null ],
     [ "~Man", "classflair_1_1simulator_1_1_man.html#a45611cc9034c3c0aea5029c46b4714da", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1simulator_1_1_model.js
===================================================================
--- trunk/doc/Flair/classflair_1_1simulator_1_1_model.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1simulator_1_1_model.js	(revision 50)
@@ -3,8 +3,9 @@
     [ "simu_state", "structflair_1_1simulator_1_1_model_1_1simu__state.html", "structflair_1_1simulator_1_1_model_1_1simu__state" ],
     [ "simu_state_t", "classflair_1_1simulator_1_1_model.html#a1335ecc15eb00a934c9864ac5c98ba69", null ],
-    [ "Model", "classflair_1_1simulator_1_1_model.html#a843107a08e577f7ff285eaa93b6e8c89", null ],
+    [ "Model", "classflair_1_1simulator_1_1_model.html#a9b24a02b9df22ce6294ec0715b10a4ea", null ],
     [ "~Model", "classflair_1_1simulator_1_1_model.html#a6692c07fb503b468e34136cdac9d08ab", null ],
     [ "GetTabWidget", "classflair_1_1simulator_1_1_model.html#aec35c1a54a309614bbbb645f43667605", null ],
-    [ "dT", "classflair_1_1simulator_1_1_model.html#a4906433cc3fa20ae7af911ef08f15f0e", null ],
+    [ "GetId", "classflair_1_1simulator_1_1_model.html#adc4316490417e69017ecca36100aaf1c", null ],
+    [ "dT", "classflair_1_1simulator_1_1_model.html#ab44b8cdff7f1f89e961f391a37fec93a", null ],
     [ "CalcModel", "classflair_1_1simulator_1_1_model.html#abc7fb896d9da2f759768a155b01ee17e", null ],
     [ "::Gui_impl", "classflair_1_1simulator_1_1_model.html#aad3ab59134a6725fbf2af1e85fb08e39", null ],
Index: trunk/doc/Flair/classflair_1_1simulator_1_1_parser.js
===================================================================
--- trunk/doc/Flair/classflair_1_1simulator_1_1_parser.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1simulator_1_1_parser.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1simulator_1_1_parser =
 [
-    [ "Parser", "classflair_1_1simulator_1_1_parser.html#ad889c20f3e6200f406693772c9a27442", null ],
+    [ "Parser", "classflair_1_1simulator_1_1_parser.html#a7273f7d9ddd5923a0d681484d44f5d48", null ],
     [ "~Parser", "classflair_1_1simulator_1_1_parser.html#a3d27cd97c69776827ba495e2ea7b9a47", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1simulator_1_1_simulator.js
===================================================================
--- trunk/doc/Flair/classflair_1_1simulator_1_1_simulator.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1simulator_1_1_simulator.js	(revision 50)
@@ -6,6 +6,6 @@
     [ "Yaw", "classflair_1_1simulator_1_1_simulator.html#a206704b45a0945a6877a3f7bad04534b", null ],
     [ "ToVRPNReference", "classflair_1_1simulator_1_1_simulator.html#afd712ce52e08c1dd64f492f8d0e6d619", null ],
-    [ "ToVRPNReference", "classflair_1_1simulator_1_1_simulator.html#aa3fc4e19d7d11a7a7ff06f529577fc35", null ],
-    [ "Model", "classflair_1_1simulator_1_1_simulator.html#a2bf2a0e9b454c55aa5dcb5aa4698697b", null ],
+    [ "ToVRPNReference", "classflair_1_1simulator_1_1_simulator.html#a9aac4f90e5d45e8f15074b1fb853791f", null ],
+    [ "::Model_impl", "classflair_1_1simulator_1_1_simulator.html#aef3411812a41ce110d8d3a796f9cd56b", null ],
     [ "Gui", "classflair_1_1simulator_1_1_simulator.html#a2bb4ffbad57a036036984d978a76d27b", null ],
     [ "GenericObject", "classflair_1_1simulator_1_1_simulator.html#a0bf7fa513bb0c2b99bd0b16a7824e852", null ]
Index: trunk/doc/Flair/classflair_1_1simulator_1_1_x4.js
===================================================================
--- trunk/doc/Flair/classflair_1_1simulator_1_1_x4.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1simulator_1_1_x4.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1simulator_1_1_x4 =
 [
-    [ "X4", "classflair_1_1simulator_1_1_x4.html#a67b2cd3890ee0f15c7377dc2edb00c6a", null ],
+    [ "X4", "classflair_1_1simulator_1_1_x4.html#adf4a916c276bbb4f59732010a8578b85", null ],
     [ "~X4", "classflair_1_1simulator_1_1_x4.html#a10a457c7437ec216787e26dd1ecd133e", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1simulator_1_1_x8.js
===================================================================
--- trunk/doc/Flair/classflair_1_1simulator_1_1_x8.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1simulator_1_1_x8.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1simulator_1_1_x8 =
 [
-    [ "X8", "classflair_1_1simulator_1_1_x8.html#a70956ac7d7d210ff48eb0089eafbb1c6", null ],
+    [ "X8", "classflair_1_1simulator_1_1_x8.html#aefcd0f9a173933e9d8a60373c406f213", null ],
     [ "~X8", "classflair_1_1simulator_1_1_x8.html#a2d8fbf72873ff74dd6ed13f81ef8a49f", null ],
     [ "Draw", "classflair_1_1simulator_1_1_x8.html#a9eda32e5d50c359f093252aebf76bbab", null ],
Index: trunk/doc/Flair/files.js
===================================================================
--- trunk/doc/Flair/files.js	(revision 47)
+++ trunk/doc/Flair/files.js	(revision 50)
@@ -83,4 +83,5 @@
       [ "EulerDerivative", "classflair_1_1filter_1_1_euler_derivative.html", "classflair_1_1filter_1_1_euler_derivative" ]
     ] ],
+    [ "FindArgument.h", "_find_argument_8h_source.html", null ],
     [ "FixedCamera.h", "_fixed_camera_8h_source.html", null ],
     [ "FrameworkManager.h", "_framework_manager_8h.html", "_framework_manager_8h" ],
@@ -261,7 +262,4 @@
       [ "SimuX8", "classflair_1_1meta_1_1_simu_x8.html", "classflair_1_1meta_1_1_simu_x8" ]
     ] ],
-    [ "Socket.h", "_socket_8h.html", [
-      [ "Socket", "classflair_1_1core_1_1_socket.html", "classflair_1_1core_1_1_socket" ]
-    ] ],
     [ "SpinBox.h", "_spin_box_8h.html", [
       [ "SpinBox", "classflair_1_1gui_1_1_spin_box.html", "classflair_1_1gui_1_1_spin_box" ]
@@ -299,4 +297,5 @@
     ] ],
     [ "UavStateMachine.h", "_uav_state_machine_8h_source.html", null ],
+    [ "UdpSocket.h", "_udp_socket_8h_source.html", null ],
     [ "UdtSocket.h", "_udt_socket_8h.html", "_udt_socket_8h" ],
     [ "Unix_I2cPort.h", "_unix___i2c_port_8h.html", [
Index: trunk/doc/Flair/hierarchy.js
===================================================================
--- trunk/doc/Flair/hierarchy.js	(revision 47)
+++ trunk/doc/Flair/hierarchy.js	(revision 50)
@@ -142,5 +142,4 @@
       ] ],
       [ "flair::core::SharedMem", "classflair_1_1core_1_1_shared_mem.html", null ],
-      [ "flair::core::Socket", "classflair_1_1core_1_1_socket.html", null ],
       [ "flair::core::Thread", "classflair_1_1core_1_1_thread.html", [
         [ "flair::actuator::BlCtrlV2_x4_speed", "classflair_1_1actuator_1_1_bl_ctrl_v2__x4__speed.html", null ],
@@ -162,4 +161,5 @@
         [ "flair::sensor::VrpnClient", "classflair_1_1sensor_1_1_vrpn_client.html", null ]
       ] ],
+      [ "flair::core::UdpSocket", "classflair_1_1core_1_1_udp_socket.html", null ],
       [ "flair::gui::Widget", "classflair_1_1gui_1_1_widget.html", [
         [ "flair::gui::Box", "classflair_1_1gui_1_1_box.html", [
@@ -213,7 +213,9 @@
     ] ],
     [ "flair::simulator::Model::simu_state", "structflair_1_1simulator_1_1_model_1_1simu__state.html", null ],
-    [ "flair::core::Vector2D", "classflair_1_1core_1_1_vector2_d.html", null ],
-    [ "flair::core::Vector3D", "classflair_1_1core_1_1_vector3_d.html", [
+    [ "flair::core::Vector2D< T >", "classflair_1_1core_1_1_vector2_d.html", null ],
+    [ "flair::core::Vector3D< T >", "classflair_1_1core_1_1_vector3_d.html", [
       [ "flair::core::Vector3Ddata", "classflair_1_1core_1_1_vector3_ddata.html", null ]
-    ] ]
+    ] ],
+    [ "flair::core::Vector3D< double >", "classflair_1_1core_1_1_vector3_d.html", null ],
+    [ "flair::core::Vector3D< float >", "classflair_1_1core_1_1_vector3_d.html", null ]
 ];
Index: trunk/doc/Flair/namespaceflair_1_1core.js
===================================================================
--- trunk/doc/Flair/namespaceflair_1_1core.js	(revision 47)
+++ trunk/doc/Flair/namespaceflair_1_1core.js	(revision 50)
@@ -33,7 +33,7 @@
     [ "SharedMem", "classflair_1_1core_1_1_shared_mem.html", "classflair_1_1core_1_1_shared_mem" ],
     [ "SignedIntegerType", "classflair_1_1core_1_1_signed_integer_type.html", "classflair_1_1core_1_1_signed_integer_type" ],
-    [ "Socket", "classflair_1_1core_1_1_socket.html", "classflair_1_1core_1_1_socket" ],
     [ "TcpSocket", "classflair_1_1core_1_1_tcp_socket.html", "classflair_1_1core_1_1_tcp_socket" ],
     [ "Thread", "classflair_1_1core_1_1_thread.html", "classflair_1_1core_1_1_thread" ],
+    [ "UdpSocket", "classflair_1_1core_1_1_udp_socket.html", "classflair_1_1core_1_1_udp_socket" ],
     [ "UdtSocket", "classflair_1_1core_1_1_udt_socket.html", "classflair_1_1core_1_1_udt_socket" ],
     [ "Unix_I2cPort", "classflair_1_1core_1_1_unix___i2c_port.html", "classflair_1_1core_1_1_unix___i2c_port" ],
Index: trunk/doc/Flair/navtreedata.js
===================================================================
--- trunk/doc/Flair/navtreedata.js	(revision 47)
+++ trunk/doc/Flair/navtreedata.js	(revision 50)
@@ -31,11 +31,11 @@
 [
 "_afro_bldc_8h.html",
-"_vector3_d_8h_source.html",
-"classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66",
-"classflair_1_1core_1_1_vector3_d.html#a665b8d12fefcce0292ff2a64d98cae04",
-"classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4afb4faf4d3a428ce9aebb66e3f4b3e450",
-"classflair_1_1meta_1_1_uav_state_machine.html#a9e5c71804025830b11104cdbe2d0f7dc",
-"classflair_1_1sensor_1_1_switch_led_message.html#aed2d41c6c992f87ce759549c690fe905",
-"io__data_8h.html#a4ca29f33fc446a0d6c6fd314c78069b3"
+"_vector3_d_8h.html#a8672d248dccb0e7378a7b01a41a9e4e9",
+"classflair_1_1core_1_1_i_o_data_element.html",
+"classflair_1_1core_1_1_vector2_d.html#a81926d1dc61bb56706b99f5bfb4d1ca3",
+"classflair_1_1filter_1_1_x4_x8_multiplex.html",
+"classflair_1_1meta_1_1_uav_state_machine.html#a70c5fee2723003181c3f40304ff161b9a90589c47f06eb971d548591f23c285af",
+"classflair_1_1sensor_1_1_simu_imu.html#a6f0151ed75fa6039f7e5fc940240c25f",
+"functions_func_w.html"
 ];
 
